Subject: European plant business opportunity

From: Mario Ruzic <[email-masked]>
Date: Tue, 11 Jun 1996 00:59:48 +0200

Interested in agriculture, plants and flowers?
Special plastic plant holder - European licence protected invention. 
Searching for partner willing to invest 1 mill. DEM in production, 
distribution and sale in European countries. Expected high profit ratio.
All inquiries and prepositions (by the courtesy of the owner of this 
E-mail address) will be forwarded to the owner of the patent.
E-mail: [email-masked]